Create a new StripeSetupIntent

Create a new setup-intent for the given audience member.

This operation is the 1st step in creating a new payment-method that can be used to pay-by-text.

Steps to add a payment-method (this operation in bold):

  • create a new stripe-setup-intent (ParrotAPI)

    • POST /api/v2/audience-members/me/stripe/setup-intents
  • confirm the stripe-setup-intent (Stripe JavaScript SDK)

  • create a new stripe-payment-method (ParrotAPI)

    • POST /api/v2/audience-members/me/stripe/payment-methods
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Success

Create a new Stripe setup_intent for an audience_member or audience_membership.

uuid

Include the audience_membership_id field to create a setup_intent that may
be associated specifically with the merchant's account.

Exclusive associations are only needed in special cases when the merchant's
Stripe connect account is configured for "direct" charges rather than the
default "destination" charges.

It is always safe to include the audience_membership_id because the system
will check the configuration of the merchant's Stripe connect account and only
create an exclusive relationship if it is required.

Response

Callback
Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json